Debian Bug report logs - #530413
ctdb: FTBFS on Hurd because implementation is missing

version graph

Package: ctdb; Maintainer for ctdb is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for ctdb is src:ctdb.

Reported by: "Marc Dequènes (Duck)" <duck@duckcorp.org>

Date: Sun, 24 May 2009 17:33:02 UTC

Severity: important

Tags: patch

Found in version ctdb/1.0.82-1

Fixed in version ctdb/1.0.82-2

Done: Mathieu Parent <math.parent@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#530413; Package ctdb. (Sun, 24 May 2009 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
New Bug report received and forwarded. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Sun, 24 May 2009 17:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: Debian BTS <submit@bugs.debian.org>
Subject: ctdb: FTBFS on Hurd because implementation is missing
Date: Sun, 24 May 2009 19:31:22 +0200
[Message part 1 (text/plain, inline)]
Package: ctdb
Version: 1.0.82-1
Severity: important
Tags: patch


Coin,

Please consider applying this patch, which correct the configure  
script to add support for the GNU system, add the new  
implentation-specific 'common/system_gnu.c' file, and deactivate the  
SOL_SOCKET use on Hurd, as it is not yet implemented. It adapts  
Build-depends and Depends as well.

With this patch, ctdb builds well and runs (even if a complete testing  
was not yet done). It will enable many blocked packages to be available.

Regards.

-- 
Marc Dequènes (Duck)
[ctdb_hurd.patch (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Tags added: pending Request was from mparent-guest@alioth.debian.org to control@bugs.debian.org. (Sun, 31 May 2009 16:48:06 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Parent <math.parent@gmail.com>:
You have taken responsibility. (Mon, 01 Jun 2009 12:51:09 GMT) Full text and rfc822 format available.

Notification sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Bug acknowledged by developer. (Mon, 01 Jun 2009 12:51:09 GMT) Full text and rfc822 format available.

Message #12 received at 530413-close@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: 530413-close@bugs.debian.org
Subject: Bug#530413: fixed in ctdb 1.0.82-2
Date: Mon, 01 Jun 2009 12:17:49 +0000
Source: ctdb
Source-Version: 1.0.82-2

We believe that the bug you reported is fixed in the latest version of
ctdb, which is due to be installed in the Debian FTP archive:

ctdb_1.0.82-2.diff.gz
  to pool/main/c/ctdb/ctdb_1.0.82-2.diff.gz
ctdb_1.0.82-2.dsc
  to pool/main/c/ctdb/ctdb_1.0.82-2.dsc
ctdb_1.0.82-2_i386.deb
  to pool/main/c/ctdb/ctdb_1.0.82-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 530413@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Parent <math.parent@gmail.com> (supplier of updated ctdb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 31 May 2009 18:02:41 +0200
Source: ctdb
Binary: ctdb
Architecture: source i386
Version: 1.0.82-2
Distribution: unstable
Urgency: low
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Mathieu Parent <math.parent@gmail.com>
Description: 
 ctdb       - clustered database to store temporary data
Closes: 530064 530413
Changes: 
 ctdb (1.0.82-2) unstable; urgency=low
 .
   * 10_no-lib64.diff updated: Don't Ship files in /usr/lib64 only on amd64
   * 50-fix-bashism.diff (new): Fix "bashism in /bin/sh script"
     (Closes: #530064)
   * lsof in Suggests instead of Depends as it is only used by ctdb_diagnostics
   * ethtool in Recommends instead of Depends as it is only used by
     /etc/ctdb/events.d/10.interface
   * GNU Hurd support: Closes: #530413
     - Build-Depends on libpcap-dev [hurd-i386]
     - Depends on iproute [!hurd-i386]
     - 05-hurd.diff: fix configure script and support Hurd
     - thanks to Marc Dequènes (Duck)
Checksums-Sha1: 
 efd7978795d1a52991d2a246314c7b8da1c0cc4d 1227 ctdb_1.0.82-2.dsc
 76a4ee8316312c90fbcb250def5599976728a589 13747 ctdb_1.0.82-2.diff.gz
 777054d9100b438eeef779f50096f122dcabd2a6 386930 ctdb_1.0.82-2_i386.deb
Checksums-Sha256: 
 2691589e50d18e5d227d9b4a82245850432b7178a24e69196a882d85840674a6 1227 ctdb_1.0.82-2.dsc
 bd02ba76d377ed9cf8d527d92711178256a777aef02be08cb330f99cdcc40a4e 13747 ctdb_1.0.82-2.diff.gz
 da16e328d43fdf921fd0f8c5d0564129389253e0a84bd4646f56069aa8e2cf14 386930 ctdb_1.0.82-2_i386.deb
Files: 
 8624c5184538c0416a4ad4a575353a3c 1227 net extra ctdb_1.0.82-2.dsc
 3ca5be193208feaff4e732c65c76f639 13747 net extra ctdb_1.0.82-2.diff.gz
 0c22dc3c72659575b4b1f49a08ff010b 386930 net extra ctdb_1.0.82-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKI8KJ1OXtrMAUPS0RAjN3AJ9uCdb6T2qOLSECoFSh4M0ZYclHjQCgu7yf
AEK3jXmV3c+QMTKvvHD2oU4=
=VDtU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Jul 2009 07:27:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:41:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.